{% extends "dashboard/dashboard_content.html" %}

{% block title %}
    Course Enrollment
{% endblock %}

{% block head_block %}

{% endblock %}

{% block rightPane %}
    {% if perms.curriculum.can_choose_courses %}
        <div class="x_panel">
            <div class="x_title">
                <h2>
                    <i class="ionicons ion-person-add"></i>
                    Courses for Enrollment
                </h2>
                <div class="clearfix"></div>
            </div>
            <div class="col-md-offset-9">
                <button type="button" class="btn btn-primary" id='enrollment_pdf'>
                    Enrollment Form
                </button>
                <button type="button" class="btn btn-primary" id='registration_pdf'>
                    Registration Form
                </button>
            </div>
            <div class="x_content">
                {% if no_of_sections == 2 %}
                    <div role="alert" class="alert alert-info alert-dismissible fade in">
                        <h4 style="color: black" align="center">
                            Your current section: <strong>{{ section_instance }}</strong>
                        </h4>
                        <br>
                        <h5>
                            <ul>
                                <li>
                                    Make sure you are assigned to the correct section you belong before
                                    enrolling, contact Programme Coordinator in case of wrong section
                                    assignment.
                                </li>
                            </ul>
                        </h5>
                    </div>
                {% endif %}
                {% if not list_of_courses %}
                    <div role="alert" class="alert alert-warning alert-dismissible fade in">
                        <button aria-label="Close" data-dismiss="alert" class="close" type="button"><span
                                aria-hidden="true">×</span>
                        </button>
                        <h2 align="center"> Currently you dont have any course offerings! </h2>
                    </div>
                {% else %}
                    <div class="clearfix"></div>
                    <form class="form-horizontal" method="POST">{% csrf_token %}
                        <input type="hidden" name="hidden_semester_pk"
                               value="{{ semester_instance.pk }}">

                        {# Semester 1 #}
                        <div class="col-md-12">
                            <div class="col-md-12    col-sm-12 col-xs-12">
                                <div class="x_panel">
                                    <div class="x_title">
                                        <h2>
                                            List of Offered Courses
                                        </h2>
                                        <ul class="nav navbar-right panel_toolbox">
                                            {#                                            <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>#}
                                            {#                                            </li>#}
                                        </ul>
                                        <div class="clearfix"></div>
                                    </div>
                                    <div class="x_content">

                                        <div class="">
                                            <ul class="to_do">
                                                {% for course in list_of_courses %}
                                                    {% if not course.data.is_elective and not course.data.is_one_credit and not course.data.is_open %}
                                                        <li><p>
                                                            <div style="line-height: 35px">
                                                                &nbsp;&nbsp;
                                                                {{ course.data }}
                                                                <span style="float: right">
                                                                {% if course.enrolled %}
                                                                    <strong>Enrolled!</strong>
                                                                {% endif %}
                                                                    {% if course.registered %}
                                                                        {% if course.approved %}
                                                                            <strong>Registered!</strong>
                                                                        {% else %}
                                                                            <strong>On Hold!</strong>
                                                                        {% endif %}
                                                                    {% endif %}
                                                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                                                                    <button type="button"
                                                                            class="btn-rounded btn btn-dark-green"
                                                                            data-toggle="modal"
                                                                            data-target="#exampleModal{{ forloop.counter }}"
                                                                            {% if course.enrolled or course.registered %}
                                                                            disabled
                                                                            {% endif %}
                                                                    >
                                                                    Enroll
                                                                </button>
                                                                <button type="button"
                                                                        class="btn-rounded btn btn-dark-green"
                                                                        data-toggle="modal"
                                                                        data-target="#exampleModal--{{ forloop.counter }}"
                                                                        {% if course.registered or not course.enrolled %}
                                                                        disabled
                                                                        {% endif %}
                                                                >
                                                                    Register
                                                                </button>
                                                            </span>

                                                                <div class="modal"
                                                                     id="exampleModal{{ forloop.counter }}"
                                                                     tabindex="-1"
                                                                     role="dialog" aria-labelledby="exampleModalLabel"
                                                                     aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h3 class="modal-title"
                                                                                    id="exampleModalLabel">Enrollment
                                                                                    Confirmation</h3>
                                                                                <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <h4>Are you sure to enroll to
                                                                                    <strong>{{ course.data }}</strong>
                                                                                    course</h4>
                                                                                <br>
                                                                                <h5><b>Alert:</b> This process cannot be
                                                                                    reverted!</h5>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                        class="btn1-sm  btn1-secondary"
                                                                                        data-dismiss="modal">Close
                                                                                </button>
                                                                                <button class="btn1-sm btn-dark-green"
                                                                                        name="course_enroll"
                                                                                        type="submit"
                                                                                        value="{{ course.data.pk }}">
                                                                                    Enroll
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="modal"
                                                                     id="exampleModal--{{ forloop.counter }}"
                                                                     tabindex="-1"
                                                                     role="dialog" aria-labelledby="exampleModalLabel"
                                                                     aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h3 class="modal-title"
                                                                                    id="exampleModalLabel">Registration
                                                                                    Confirmation</h3>
                                                                                <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <h4>Are you sure to register to
                                                                                    <strong>{{ course.data }}</strong>
                                                                                    course</h4>
                                                                                <br>
                                                                                <h5><b>Alert:</b> This process cannot be
                                                                                    reverted!</h5>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                        class="btn1-sm  btn1-secondary"
                                                                                        data-dismiss="modal">Close
                                                                                </button>
                                                                                <button class="btn1-sm btn-dark-green"
                                                                                        name="course_register"
                                                                                        type="submit"
                                                                                        value="{{ course.data.pk }}">
                                                                                    Register
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            </p>
                                                        </li>
                                                    {% endif %}
                                                {% endfor %}
                                                {% for course in list_of_courses %}
                                                    {% if course.data.is_elective %}
                                                        <li><p>
                                                            <div style="line-height: 35px">
                                                                &nbsp;&nbsp;
                                                                {{ course.data }}
                                                                &nbsp;&nbsp;<span
                                                                    class="badge badge-primary">Elective</span>
                                                                <span style="float: right">
                                                                {% if course.enrolled %}
                                                                    <strong>Enrolled!</strong>
                                                                {% endif %}
                                                                    {% if course.registered %}
                                                                        <strong>Registered!</strong>
                                                                    {% endif %}
                                                                    &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                                                                    <button type="button"
                                                                            class="btn-rounded btn btn-dark-green"
                                                                            data-toggle="modal"
                                                                            data-target="#exampleModal{{ forloop.counter }}"
                                                                            {% if course.enrolled or course.registered %}
                                                                            disabled
                                                                            {% endif %}
                                                                    >
                                                                    Enroll
                                                                </button>
                                                                <button type="button"
                                                                        class="btn-rounded btn btn-dark-green"
                                                                        data-toggle="modal"
                                                                        data-target="#exampleModal--{{ forloop.counter }}"
                                                                        {% if course.registered or not course.enrolled %}
                                                                        disabled
                                                                        {% endif %}
                                                                >
                                                                    Register
                                                                </button>
                                                            </span>

                                                                <div class="modal"
                                                                     id="exampleModal{{ forloop.counter }}"
                                                                     tabindex="-1"
                                                                     role="dialog" aria-labelledby="exampleModalLabel"
                                                                     aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h3 class="modal-title"
                                                                                    id="exampleModalLabel">Enrollment
                                                                                    Confirmation</h3>
                                                                                <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <h4>Are you sure to enroll to Elective -
                                                                                    <strong>{{ course.data }}</strong>
                                                                                    course</h4>
                                                                                <br>
                                                                                <h5><b>Alert:</b> This process cannot be
                                                                                    reverted!</h5>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                        class="btn1-sm  btn1-secondary"
                                                                                        data-dismiss="modal">Close
                                                                                </button>
                                                                                <button class="btn1-sm btn-dark-green"
                                                                                        name="course_enroll"
                                                                                        type="submit"
                                                                                        value="{{ course.data.pk }}">
                                                                                    Enroll
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="modal"
                                                                     id="exampleModal--{{ forloop.counter }}"
                                                                     tabindex="-1"
                                                                     role="dialog" aria-labelledby="exampleModalLabel"
                                                                     aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h3 class="modal-title"
                                                                                    id="exampleModalLabel">Registration
                                                                                    Confirmation</h3>
                                                                                <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <h4>Are you sure to register to Elective
                                                                                    -
                                                                                    <strong>{{ course.data }}</strong>
                                                                                    course</h4>
                                                                                <br>
                                                                                <h5><b>Alert:</b> This process cannot be
                                                                                    reverted!</h5>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                        class="btn1-sm  btn1-secondary"
                                                                                        data-dismiss="modal">Close
                                                                                </button>
                                                                                <button class="btn1-sm btn-dark-green"
                                                                                        name="course_register"
                                                                                        type="submit"
                                                                                        value="{{ course.data.pk }}">
                                                                                    Register
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            </p>
                                                        </li>
                                                    {% endif %}
                                                {% endfor %}
                                                {% for course in list_of_courses %}
                                                    {% if course.data.is_one_credit %}
                                                        <li><p>
                                                            <div style="line-height: 35px">
                                                                &nbsp;&nbsp;
                                                                {{ course.data }}
                                                                <span
                                                                        class="badge badge-primary">One Credit</span>
                                                                &nbsp;&nbsp;<span style="float: right">
                                                        {% if course.enrolled %}
                                                            <strong>Enrolled!</strong>
                                                        {% endif %}
                                                                {% if course.registered %}
                                                                    <strong>Registered!</strong>
                                                                {% endif %}
                                                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                                                                    <button type="button"
                                                                            class="btn-rounded btn btn-dark-green"
                                                                            data-toggle="modal"
                                                                            data-target="#exampleModal{{ forloop.counter }}"
                                                                            {% if course.enrolled or course.registered %}
                                                                            disabled
                                                                            {% endif %}
                                                                    >
                                                                    Enroll
                                                                </button>
                                                                <button type="button"
                                                                        class="btn-rounded btn btn-dark-green"
                                                                        data-toggle="modal"
                                                                        data-target="#exampleModal--{{ forloop.counter }}"
                                                                        {% if course.registered or not course.enrolled %}
                                                                        disabled
                                                                        {% endif %}
                                                                >
                                                                    Register
                                                                </button>
                                                            </span>

                                                                <div class="modal"
                                                                     id="exampleModal{{ forloop.counter }}"
                                                                     tabindex="-1"
                                                                     role="dialog" aria-labelledby="exampleModalLabel"
                                                                     aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h3 class="modal-title"
                                                                                    id="exampleModalLabel">Enrollment
                                                                                    Confirmation</h3>
                                                                                <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <h4>Are you sure to enroll to One Credit
                                                                                    -
                                                                                    <strong>{{ course.data }}</strong>
                                                                                    course</h4>
                                                                                <br>
                                                                                <h5><b>Alert:</b> This process cannot be
                                                                                    reverted!</h5>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                        class="btn1-sm  btn1-secondary"
                                                                                        data-dismiss="modal">Close
                                                                                </button>
                                                                                <button class="btn1-sm btn-dark-green"
                                                                                        name="course_enroll"
                                                                                        type="submit"
                                                                                        value="{{ course.data.pk }}">
                                                                                    Enroll
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="modal"
                                                                     id="exampleModal--{{ forloop.counter }}"
                                                                     tabindex="-1"
                                                                     role="dialog" aria-labelledby="exampleModalLabel"
                                                                     aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h3 class="modal-title"
                                                                                    id="exampleModalLabel">Registration
                                                                                    Confirmation</h3>
                                                                                <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <h4>Are you sure to register to One
                                                                                    Credit -
                                                                                    <strong>{{ course.data }}</strong>
                                                                                    course</h4>
                                                                                <br>
                                                                                <h5><b>Alert:</b> This process cannot be
                                                                                    reverted!</h5>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                        class="btn1-sm  btn1-secondary"
                                                                                        data-dismiss="modal">Close
                                                                                </button>
                                                                                <button class="btn1-sm btn-dark-green"
                                                                                        name="course_register"
                                                                                        type="submit"
                                                                                        value="{{ course.data.pk }}">
                                                                                    Register
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            </p>
                                                        </li>
                                                    {% endif %}
                                                {% endfor %}

                                                {% for course in list_of_courses %}
                                                    {% if course.data.is_open %}
                                                        <li><p>
                                                            <div style="line-height: 35px">
                                                                &nbsp;&nbsp;
                                                                {{ course.data }}
                                                                <span
                                                                        class="badge badge-primary">Open Elective</span>
                                                                &nbsp;&nbsp;<span style="float: right">
                                                        {% if course.enrolled %}
                                                            <strong>Enrolled!</strong>
                                                        {% endif %}
                                                                {% if course.registered %}
                                                                    <strong>Registered!</strong>
                                                                {% endif %}
                                                                &nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;

                                                                    <button type="button"
                                                                            class="btn-rounded btn btn-dark-green"
                                                                            data-toggle="modal"
                                                                            data-target="#exampleModal{{ forloop.counter }}"
                                                                            {% if course.enrolled or course.registered %}
                                                                            disabled
                                                                            {% endif %}
                                                                    >
                                                                    Enroll
                                                                </button>
                                                                <button type="button"
                                                                        class="btn-rounded btn btn-dark-green"
                                                                        data-toggle="modal"
                                                                        data-target="#exampleModal--{{ forloop.counter }}"
                                                                        {% if course.registered or not course.enrolled %}
                                                                        disabled
                                                                        {% endif %}
                                                                >
                                                                    Register
                                                                </button>
                                                            </span>

                                                                <div class="modal"
                                                                     id="exampleModal{{ forloop.counter }}"
                                                                     tabindex="-1"
                                                                     role="dialog" aria-labelledby="exampleModalLabel"
                                                                     aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h3 class="modal-title"
                                                                                    id="exampleModalLabel">Enrollment
                                                                                    Confirmation</h3>
                                                                                <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <h4>Are you sure to enroll to Open
                                                                                    Elective
                                                                                    -
                                                                                    <strong>{{ course.data }}</strong>
                                                                                    course</h4>
                                                                                <br>
                                                                                <h5><b>Alert:</b> This process cannot be
                                                                                    reverted!</h5>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                        class="btn1-sm  btn1-secondary"
                                                                                        data-dismiss="modal">Close
                                                                                </button>
                                                                                <button class="btn1-sm btn-dark-green"
                                                                                        name="course_enroll"
                                                                                        type="submit"
                                                                                        value="{{ course.data.pk }}">
                                                                                    Enroll
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>

                                                                <div class="modal"
                                                                     id="exampleModal--{{ forloop.counter }}"
                                                                     tabindex="-1"
                                                                     role="dialog" aria-labelledby="exampleModalLabel"
                                                                     aria-hidden="true">
                                                                    <div class="modal-dialog modal-lg" role="document">
                                                                        <div class="modal-content">
                                                                            <div class="modal-header">
                                                                                <h3 class="modal-title"
                                                                                    id="exampleModalLabel">Registration
                                                                                    Confirmation</h3>
                                                                                <button type="button" class="close"
                                                                                        data-dismiss="modal"
                                                                                        aria-label="Close">
                                                                                    <span aria-hidden="true">&times;</span>
                                                                                </button>
                                                                            </div>
                                                                            <div class="modal-body">
                                                                                <h4>Are you sure to register to Open
                                                                                    Elective -
                                                                                    <strong>{{ course.data }}</strong>
                                                                                    course</h4>
                                                                                <br>
                                                                                <h5><b>Alert:</b> This process cannot be
                                                                                    reverted!</h5>
                                                                            </div>
                                                                            <div class="modal-footer">
                                                                                <button type="button"
                                                                                        class="btn1-sm  btn1-secondary"
                                                                                        data-dismiss="modal">Close
                                                                                </button>
                                                                                <button class="btn1-sm btn-dark-green"
                                                                                        name="course_register"
                                                                                        type="submit"
                                                                                        value="{{ course.data.pk }}">
                                                                                    Register
                                                                                </button>
                                                                            </div>
                                                                        </div>
                                                                    </div>
                                                                </div>
                                                            </div>
                                                            </p>
                                                        </li>
                                                    {% endif %}
                                                {% endfor %}
                                            </ul>
                                        </div>
                                    </div>
                                </div>
                            </div>
                        </div>


                    </form>
                {% endif %}
            </div>
        </div>
    {% endif %}
    <script type="text/javascript">
        $("#myTab").tabCollapse();
    </script>

    <script type="text/javascript">
        $('document').ready(function () {
            $('#enrollment_pdf').click(function () {
                window.open('{% url 'enrollment_pdf' %}', '_self');
            });

            $('#registration_pdf').click(function () {
                window.open('{% url 'registration_pdf' %}', '_self');
            });
        });
    </script>

    <script type="text/javascript">
        {% if openCourseLimitExceed == True %}
            $(function () {
                new PNotify({
                    title: 'Oh Snap!',
                    text: 'Open Electives Limit Exceed! You have already taken open Electives',
                    type: 'error',
                    styling: 'bootstrap3',
                    min_height: "20px",
                    mobile: {'styling': true}
                });
            });
        {% endif %}
    </script>
{% endblock %}